package com.lightinit.hsdataportal.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class OrderListModel {


    private Long orderId;
    private String orderNumber ;
    private String orderState ;
    private Date orderTime;
    private String resourceName;
    private String resourceType;
    private BigDecimal orderAmount;
    private Long totalTimes;
    private BigDecimal packagePrice;
    private List<OrderGoodsModel> orderGoodsModels ;
    private String chargeMethod ;

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getTotalTimes() {
        return totalTimes;
    }

    public void setTotalTimes(Long totalTimes) {
        this.totalTimes = totalTimes;
    }

    public BigDecimal getPackagePrice() {
        return packagePrice;
    }

    public void setPackagePrice(BigDecimal packagePrice) {
        this.packagePrice = packagePrice;
    }


    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderState() {
        return orderState;
    }

    public void setOrderState(String orderState) {
        this.orderState = orderState;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public List<OrderGoodsModel> getOrderGoodsModels() {
        return orderGoodsModels;
    }

    public void setOrderGoodsModels(List<OrderGoodsModel> orderGoodsModels) {
        this.orderGoodsModels = orderGoodsModels;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod;
    }
}
